Last Comment Bug 656099 - xpcshell failure: Not enough arguments [nsIOfflineCacheUpdateService.scheduleUpdate]" nsresult: "0x80570001 (NS_ERROR_XPC_NOT_ENOUGH_ARGS)" in several tests
: xpcshell failure: Not enough arguments [nsIOfflineCacheUpdateService.schedule...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
Mentors:
Depends on:
Blocks: 648127
  Show dependency treegraph
 
Reported: 2011-05-10 12:30 PDT by Siddharth Agarwal [:sid0] (inactive)
Modified: 2011-06-08 18:58 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
screenshot (73.21 KB, image/png)
2011-06-07 01:36 PDT, Cristian Nicolae (:xti)
no flags Details

Description Siddharth Agarwal [:sid0] (inactive) 2011-05-10 12:30:38 PDT
s: talos-r3-snow-033
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_no-cache-entry_canceled.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | (xpcshell/head.js) | [Exception... "Not enough arguments [nsIOfflineCacheUpdateService.scheduleUpdate]" nsresult: "0x80570001 (NS_ERROR_XPC_NOT_ENOUGH_ARGS)" location: "JS frame :: /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_no-cache-entry_canceled.js :: run_test :: line 97" data: no]
Bug 629664 - Windows opt. TEST-UNEXPECTED-FAIL | test_service_sync_checkServerError.js | test failed (with xpcshell return code: 0), see following log, followed by, TEST-UNEXPECTED-FAIL | (xpcshell/head.js) | TypeError: engine is undefined - See following stack: TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_no-cache-entry_passing.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | (xpcshell/head.js) | [Exception... "Not enough arguments [nsIOfflineCacheUpdateService.scheduleUpdate]" nsresult: "0x80570001 (NS_ERROR_XPC_NOT_ENOUGH_ARGS)" location: "JS frame :: /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_no-cache-entry_passing.js :: run_test :: line 96" data: no]
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_redirect-to-different-origin_canceled.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | (xpcshell/head.js) | [Exception... "Not enough arguments [nsIOfflineCacheUpdateService.scheduleUpdate]" nsresult: "0x80570001 (NS_ERROR_XPC_NOT_ENOUGH_ARGS)" location: "JS frame :: /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_redirect-to-different-origin_canceled.js :: run_test :: line 101" data: no]
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_redirect-to-different-origin_passing.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | (xpcshell/head.js) | [Exception... "Not enough arguments [nsIOfflineCacheUpdateService.scheduleUpdate]" nsresult: "0x80570001 (NS_ERROR_XPC_NOT_ENOUGH_ARGS)" location: "JS frame :: /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_redirect-to-different-origin_passing.js :: run_test :: line 100" data: no]
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_request-error_canceled.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | (xpcshell/head.js) | [Exception... "Not enough arguments [nsIOfflineCacheUpdateService.scheduleUpdate]" nsresult: "0x80570001 (NS_ERROR_XPC_NOT_ENOUGH_ARGS)" location: "JS frame :: /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_request-error_canceled.js :: run_test :: line 104" data: no]
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_request-error_passing.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | (xpcshell/head.js) | [Exception... "Not enough arguments [nsIOfflineCacheUpdateService.scheduleUpdate]" nsresult: "0x80570001 (NS_ERROR_XPC_NOT_ENOUGH_ARGS)" location: "JS frame :: /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_request-error_passing.js :: run_test :: line 103" data: no]
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_response-error_canceled.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | (xpcshell/head.js) | [Exception... "Not enough arguments [nsIOfflineCacheUpdateService.scheduleUpdate]" nsresult: "0x80570001 (NS_ERROR_XPC_NOT_ENOUGH_ARGS)" location: "JS frame :: /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_response-error_canceled.js :: run_test :: line 100" data: no]
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_response-error_passing.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | (xpcshell/head.js) | [Exception... "Not enough arguments [nsIOfflineCacheUpdateService.scheduleUpdate]" nsresult: "0x80570001 (NS_ERROR_XPC_NOT_ENOUGH_ARGS)" location: "JS frame :: /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_fallback_response-error_passing.js :: run_test :: line 99" data: no]

These failures were exposed by bug 648127.
Comment 1 Siddharth Agarwal [:sid0] (inactive) 2011-05-10 12:48:29 PDT
https://hg.mozilla.org/mozilla-central/rev/c73c0da830fe changed the interface, but the tests above were missed, probably because of the harness bug.
Comment 2 Siddharth Agarwal [:sid0] (inactive) 2011-05-10 13:01:18 PDT
https://hg.mozilla.org/mozilla-central/rev/ead4ec7de032
Comment 3 Siddharth Agarwal [:sid0] (inactive) 2011-05-11 03:13:40 PDT
Looks like the checkin in comment 2 fixed this.
Comment 4 Cristian Nicolae (:xti) 2011-06-07 01:36:10 PDT
Created attachment 537751 [details]
screenshot

Build id : Mozilla/5.0 (Android;Linux armv7l;rv:7.0a1)Gecko/201100606
Firefox/7.0a1 Fennec/7.0a1
Device: Motorola Droid 2
OS: Android 2.2

I've noticed this error after I've performed the following steps:
1. Go to http://vingtetun.org/todo
2. Tap on Allow button from the Notification Bar displayed on the top of the screen
3. Refresh the webpage several times

Error: uncaught exception: [Exception... "Failure arg 3 [nsIOfflineCacheUpdateService.scheduleUpdate]" nsresult: "0x80004005 (NS_ERROR_FAILURE)" location: "JS frame :: 
chrome://browser/content/content.js :: receiveMessage :: line 577" data: no]

Is this related to this bug?
Comment 5 Siddharth Agarwal [:sid0] (inactive) 2011-06-07 01:38:20 PDT
No.
Comment 6 Cristian Nicolae (:xti) 2011-06-07 01:49:37 PDT
(In reply to comment #5)
> No.

should I file a new bug?
Comment 7 Siddharth Agarwal [:sid0] (inactive) 2011-06-08 15:34:53 PDT
Yes, please file a separate bug. This bug isn't related at all.

Note You need to log in before you can comment on or make changes to this bug.